Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.config
Class IdeModuleConfigAccess

public class IdeModuleConfigAccess

Class `IdeModuleConfigAccess` provides access to the configuration files for the modules.

Author:
  TogetherSoft

Method Summary
`static IdeModuleConfig` | `createModuleConfig(Class moduleClass, String path)` Specifies path of config file for specified module.
`protected static IdeModuleConfig` | `getModuleConfig(Class moduleClass)`
`static boolean` | `isFileLoaded(Class moduleClass, String fileName)` Checks whether the specified config file for the given module is loaded.
`static void` | `loadConfigFile(Class moduleClass, String fileName)` Loads config for the specified module.
`static Enumeration` | `loadedFiles(Class moduleClass)` Lists all loaded files of the specified module.
`static void` | `unloadConfigFile(Class moduleClass, String fileName)` Unloads config for the specified module.

Method Detail

### createModuleConfig

    public static IdeModuleConfig createModuleConfig(Class moduleClass, String path)

  Specifies path of config file for specified module.
  Parameters:
    moduleClass - `Class` of the module for which config file path is specified
    path - `String` Path of config file.

### getModuleConfig

    protected static IdeModuleConfig getModuleConfig(Class moduleClass)

### isFileLoaded

    public static boolean isFileLoaded(Class moduleClass, String fileName)

  Checks whether the specified config file for the given module is loaded.
  Parameters:
    moduleClass - `Class` of the module to be checked
    fileName - `String` relative name of config file
  Returns: `true` if config file for this module is loaded, `false` otherwise

### loadConfigFile

    public static void loadConfigFile(Class moduleClass, String fileName)

  Loads config for the specified module.
  Parameters:
    moduleClass - `Class` of module for which config will be loaded
    fileName - `String` name of config file to be loaded

### loadedFiles

    public static Enumeration loadedFiles(Class moduleClass)

  Lists all loaded files of the specified module.
  Parameters:
    moduleClass - `Class` of the module whose config files are listed
  Returns: `Enumeration` list of the loaded config files

### unloadConfigFile

    public static void unloadConfigFile(Class moduleClass, String fileName)

  Unloads config for the specified module.
  Parameters:
    moduleClass - `Class` of the module for which config will be unloaded
    fileName - `String` name of config file to be unloaded

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD